summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-23 10:16:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-23 10:16:56 +0000
commitee5e478e33aa6eb172b15a74f177f2d8520a10eb (patch)
tree0ca1dacf4fe32266148ed41cb77fa657871da74e /dev-python
parentc8d3ecb99b3336a82a9da445d390e27d11b490d2 (diff)
downloadbaldeagleos-repo-ee5e478e33aa6eb172b15a74f177f2d8520a10eb.tar.gz
baldeagleos-repo-ee5e478e33aa6eb172b15a74f177f2d8520a10eb.tar.xz
baldeagleos-repo-ee5e478e33aa6eb172b15a74f177f2d8520a10eb.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-13.15.1.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.7.0.ebuild117
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.36.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.36.ebuild69
-rw-r--r--dev-python/botocore/botocore-9999.ebuild5
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2022.7.1.ebuild58
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.52.4.ebuild76
-rw-r--r--dev-python/importlib_resources/Manifest1
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.9.0.ebuild49
-rw-r--r--dev-python/trove-classifiers/Manifest1
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild34
-rw-r--r--dev-python/xarray/Manifest1
-rw-r--r--dev-python/xarray/xarray-2022.6.0.ebuild40
19 files changed, 558 insertions, 1 deletions
diff --git a/dev-python/Faker/Faker-13.15.1.ebuild b/dev-python/Faker/Faker-13.15.1.ebuild
new file mode 100644
index 000000000000..cfcce92aba99
--- /dev/null
+++ b/dev-python/Faker/Faker-13.15.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index f87881767901..c3c5750cd66f 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-13.13.0.tar.gz 1528907 BLAKE2B be4593ba271330822f10590aa8e15c4658cd8a19333ab769d32178b72c15b504b8a5269443100250a863af25e40c582244e815cf612dbf8a57833f470ddeec09 SHA512 9e794bf95d40040dfa98439d0d9da19a90dd202905d4825c82453e202adad80bbea6da74ce0d36d8e205381d419a19b8b1fb60b32e20e97ee69b315f4f0c8eb9
DIST Faker-13.14.0.tar.gz 1529502 BLAKE2B 57c5182742f4383bc0590f953dbf8de7075b331da8d9893b84149ce8d3004e545acccf9f113d94eb608b634d9ad42a466d813c5f0311e037d8977fa04eaf36af SHA512 05edbad684a89b0cb4df4965be63b43729047075eed98de9678d98383b28d2ae6d3c645c03ab86d7bc935160c1ab744494d608749213322e318b465c0d47e9c7
DIST Faker-13.15.0.tar.gz 1531111 BLAKE2B b6e91f7e47f5040894647b53eff92ddc8384fe9edfe19aa4d3706c2d5e54100d171b37609968bba068c89d9c946f92b5966b9e8f502863ab3730d9857a342853 SHA512 6de6de872e19f82a716fdf10f594e3d77b160bde46e7c8d20610621728ee3e555b4090835dba220da96d98db5eaac8c0e4290786441441f220b7458f442b99f3
+DIST Faker-13.15.1.tar.gz 1531442 BLAKE2B 890bcf69ebcb97f8d7441e7b899ed0fec851b5f291a03606e3a3cb6dc8838522fed839b77fd6899122347fa3c8cef14c0a0f6f1039b66331ab2263bc4675d378 SHA512 e405ee0cf1aed0b3c01f60bf10f5e72c6b55977deb9b004875dbb5eb5cd24da1b979cfa9234be30946a640ab21fc1d95393c15e2bf839bef373978959f7eb784
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index d79a937bdcf1..4f1601d3ea0d 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -2,5 +2,6 @@ DIST PyPDF2-2.4.1.gh.tar.gz 5121207 BLAKE2B 387085ea028d7fcbcfd5fa4e5373b655e647
DIST PyPDF2-2.4.2.gh.tar.gz 5327738 BLAKE2B 5343d5b7c2efe2ed664f896b030a60ad8570ae8f481376e4ad9c865144b66d912633e4f83294d7f6399230963c02dea262cc247b10ca3c146ab24f823c0d57f3 SHA512 84a13d5b624ca8ca2dc4c474309ffa47d1770e1681ccb527f7fc1df37698037c224939dd062da004cbf7b983744afd3ab9adc9a610bea3f2f297e1ed5b708dd2
DIST PyPDF2-2.5.0.gh.tar.gz 5597332 BLAKE2B 40d4fa812f1a70c18d3b2907d83185cd79af3d722e762ec8dec9709cb5c70246c21fa124e419d8b12142b0ae22b1f13958835eaaa23e9f4cc9efbd05793db7ce SHA512 ec7560b4bb3737fe4c830f058f5303cb70c9ff660c3f40637b4b86c8c79bf11a246a3fcc425aa54b5ca160548311c7f93248a1001c75a7e1dbf3119245e3262f
DIST PyPDF2-2.6.0.gh.tar.gz 5600718 BLAKE2B 13c8e485d0cbb1a6621e0769840a9894822aeda85fc63d98cd466628d4af0efe7e29ce400f7c71dfae63a6d8273dbceb14c115e14bbaea7592d8fa4aef552d24 SHA512 63ef0297b5b6151ed91d6cfc0e883e996561d9479e9d6bd0742711ffff12c2be173485b0ada052a038e7759d1d819850e0e1030031fdb0bc1df46fa4fa9f912b
+DIST PyPDF2-2.7.0.gh.tar.gz 5629582 BLAKE2B d6cdf3bdb974c4ffba4bf55a6acc9d8f2a30dd9f460c7ccad71bc836a0deea2ed1b3cc2743eaa0c5a377e7afe034a49412478635454bc6b846186ff3d77298ec SHA512 c04966e1d9175d729bec5f64300bbac41b9eee07ce881bf186faac9774b0a8e6f152c6213e75c81aae8e30ad90e04ed554596c3eba55526f6280e856d9556a4d
DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
DIST PyPDF2-sample-files-4d24ff93dcddf21d55d028d9675d5b5bf9d7a350.gh.tar.gz 5443819 BLAKE2B 6eb440a2db3b58f7e195b8f24438552b2b414296b887cf44d75b14bda367e37ffef75b870152ac3b38e20e5a6f2c6a4cf374087b70daa9036821dd3ebdce2128 SHA512 de631f650098b6fe15830e5a816158d7f352c7a25d0c743b9e4bdf146e1ef2e3a6ea1751ed5d68f34e9a339a793bfb9dc217934595c7a8dffb854c0a4111b963
diff --git a/dev-python/PyPDF2/PyPDF2-2.7.0.ebuild b/dev-python/PyPDF2/PyPDF2-2.7.0.ebuild
new file mode 100644
index 000000000000..05caea8f85f0
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.7.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=200644f7219811c3930ad1732ef70c570ece2d16
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_cmap.py
+ tests/test_filters.py::test_decompress_zlib_error
+ tests/test_filters.py::test_lzw_decode_neg1
+ tests/test_generic.py::test_dict_read_from_stream
+ tests/test_generic.py::test_parse_content_stream_peek_percentage
+ tests/test_generic.py::test_read_inline_image_no_has_q
+ tests/test_generic.py::test_read_inline_image_loc_neg_1
+ tests/test_generic.py::test_text_string_write_to_stream
+ tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+ tests/test_generic.py::test_bool_repr
+ tests/test_generic.py::test_issue_997
+ tests/test_merger.py::test1
+ tests/test_merger.py::test_bookmark
+ tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
+ tests/test_merger.py::test_sweep_recursion1
+ tests/test_merger.py::test_sweep_recursion2
+ tests/test_merger.py::test_trim_outline
+ tests/test_merger.py::test_trim_outline_list
+ tests/test_merger.py::test_zoom
+ tests/test_merger.py::test_zoom_xyz_no_left
+ tests/test_page.py::test_extract_text_operator_t_star
+ tests/test_page.py::test_extract_text_page_pdf
+ tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+ tests/test_page.py::test_extract_text_single_quote_op
+ 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+ tests/test_reader.py::test_extract_text_pdf15
+ tests/test_reader.py::test_extract_text_xref_issue_2
+ tests/test_reader.py::test_extract_text_xref_issue_3
+ tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+ tests/test_reader.py::test_get_fields
+ tests/test_reader.py::test_get_fields_read_else_block
+ tests/test_reader.py::test_get_fields_read_else_block2
+ tests/test_reader.py::test_get_fields_read_else_block3
+ tests/test_reader.py::test_get_fields_read_write_report
+ tests/test_reader.py::test_iss925
+ tests/test_reader.py::test_metadata_is_none
+ tests/test_reader.py::test_outline_color
+ tests/test_reader.py::test_outline_font_format
+ tests/test_reader.py::test_read_form_416
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_xfa_non_empty
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_compress
+ tests/test_workflows.py::test_extract_text
+ tests/test_workflows.py::test_extract_textbench
+ tests/test_workflows.py::test_get_fields
+ tests/test_workflows.py::test_get_metadata
+ tests/test_workflows.py::test_image_extraction
+ tests/test_workflows.py::test_merge
+ tests/test_workflows.py::test_merge_with_warning
+ tests/test_workflows.py::test_overlay
+ tests/test_workflows.py::test_scale_rectangle_indirect_object
+ tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+ tests/test_writer.py::test_write_bookmark_on_page_fitv
+ tests/test_xmp.py::test_custom_properties
+ tests/test_xmp.py::test_dc_creator
+ tests/test_xmp.py::test_dc_description
+ tests/test_xmp.py::test_dc_subject
+ tests/test_xmp.py::test_issue585
+ tests/test_xmp.py::test_xmpmm
+
+ # Broken test
+ tests/test_utils.py::test_deprecate_no_replacement
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 52fd854f885d..af5a098c4c8b 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.24.26.gh.tar.gz 515531 BLAKE2B 34f99c4dd224731e07c2f0b175d6d172661c
DIST boto3-1.24.31.gh.tar.gz 519387 BLAKE2B 8581d1018f0e1f0802779851edb52fdb6860c44bf46e6315eddd3b603cb65a0763707686286aa06447e90df6c8e6cae3de0e6bae8a9836ad90e5a3f4335797bf SHA512 370773f2365f4dcc7b73d0828bc84f0de5c15b189d23b799738c2358b1b0119e5e457f26529b7a6c90d637c2142121a2874d088671715c8deb4b793afbf7fd38
DIST boto3-1.24.32.gh.tar.gz 519061 BLAKE2B f890c39f1cd3fd539e2e99ee3b5b9898da4197a2c00c6409366c70fb0ceb7e957879f2190321c06ac26638310992add19b8a54b2994d3c8d0749496cc0774c5d SHA512 0578112dbccfb76720565c2207c85a8f9e63c51a25ac367cda7ee4c8acce02cb5274d30e1051c049bf90e98f5898a91c71bcea7a187662be61c1ff16ac0c1805
DIST boto3-1.24.33.gh.tar.gz 520287 BLAKE2B b9bbf7f265e1a3b4dfbda0cfe1d020d211239a7ac67f63a95f7740d4da447dd301ec770e08590365de08bb72cebf703a9c28debe90828206539d939448bbac36 SHA512 6e6a8f04ffd5aa4f87f5cbb884900a3eb6f0831b7bba76d1b8f9a865b3467e98afe9c50e1e2e8fe329a63942925990919d73f0e542edb7ba2b018bd97288ea82
+DIST boto3-1.24.36.gh.tar.gz 522156 BLAKE2B b76cb50f01ff85c960a0984f950e72f02ac6e85131fd344142b886a3c745cb8b9073f865527911b88c462912413fce6df4066752ab5eec8ad1561d349ad22437 SHA512 fe00e78cc522248c449f83f869bb7d76793db9aa436259e74d0aa25984a02876191a7df41b1ad7658b06e418f248ad616743698c87a5c9696f77a196a53c561e
diff --git a/dev-python/boto3/boto3-1.24.36.ebuild b/dev-python/boto3/boto3-1.24.36.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.36.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7500a63d5196..a1fe1e7d3b6a 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.27.26.tar.gz 9167551 BLAKE2B 9e95c1e6e5261b08247615446a589318d92
DIST botocore-1.27.31.tar.gz 9184651 BLAKE2B 01dcd9e94490923f7d0f463d3019007f58c5e441ae65ea2c365ed20417e8f7b532228a335c6f461ca97411269aaa78aa48fa33cccd8b2e45a6665c2410bb4352 SHA512 27f810e0519144fae71600ea7f6d9a15cca30386ee0f2b06beeeb64c06da8728b54709fb770673f708697dd930fe744703728ce00b6a1149361ab550fef9ccb4
DIST botocore-1.27.32.tar.gz 9191251 BLAKE2B 757aa8e1efe16db3e9bedb545c32e9013eb80fc2b0b6fd61903c2c34d4c5140cce41f7c62822b277119079bdb921102d7d1c431edc5617131ab8cd8d6983054c SHA512 3ae2d0d092961bc061d744e74bbf3a387120a400173f54f4d62284535ee2e505a887f57be7c44f306560ce6d6f82c4ff435d0a9221e8e7f406eb13c7dd26ec11
DIST botocore-1.27.33.tar.gz 9194408 BLAKE2B 1e942308a19a827b5b05187879860e7f3b78c8a184bf948c2ea6c424410f878bef01feb452b89d3cb60b241c17024a4974ad6997373e8e2423e1f725d137c4b3 SHA512 b3b36e75822188f9080808188de6b2f435fd9fb2f76efc41b1052e24008120a399c75a4f944976732257a936eea9290dbca995db03d377f96f8910f2307a8427
+DIST botocore-1.27.36.gh.tar.gz 9465835 BLAKE2B c22c341d6e762316f3d8719bd8c1fd52140642739361a7ade326d739005dbd141a6b4e1798287b40bf7ba40cd5e158d36f195893d529f5ba375b06087d2122b9 SHA512 09ef156b3c0457ceef341bf26e3f060d3e91808f1da66d1dbb06ba2826be3c61e047383dc9d8a719bb8e172e91f6475f4613c14d30c57c6a909b51c8ba7334cc
diff --git a/dev-python/botocore/botocore-1.27.36.ebuild b/dev-python/botocore/botocore-1.27.36.ebuild
new file mode 100644
index 000000000000..6a8e7e93c947
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.36.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/botocore-9999.ebuild b/dev-python/botocore/botocore-9999.ebuild
index 1f52e2694e84..6a8e7e93c947 100644
--- a/dev-python/botocore/botocore-9999.ebuild
+++ b/dev-python/botocore/botocore-9999.ebuild
@@ -20,7 +20,10 @@ if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/botocore"
inherit git-r3
else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index c1007f744d5e..ca1aa5e3e06a 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,2 +1,3 @@
DIST dask-2022.6.1.gh.tar.gz 8729249 BLAKE2B 211beeb3960569aa1cb68a4fd9b261a417297de5dc406d50bc54342239227ea01e2158b618bd889862a7eff8bb01bb43d098937bb3911f088250957caa672d04 SHA512 6e06b63dd5c7f1d7c6c7dce867ffa42b956023b313b25245a339f698b06bea17a03cc4ead9bd5aef8ddf081750cad4df4b6b2972038315c89585221382c9e95c
DIST dask-2022.7.0.gh.tar.gz 8748843 BLAKE2B ae0e63c883e6542aefd29a619168b1e86e9b20d43e7966ecb8a92a90b72952acd7e08ce53fdbc146b47bcb7f65190f2d0cbe19966c52f94b0d52eb63e53778d9 SHA512 11fe292134dac14e30068b98d88e622af2941b7fffa2c667b39b87e4d28ac6388001e18a8628bd22bbd48a2a10ee707dc25618a960a401e40cb73b2231fd2dfc
+DIST dask-2022.7.1.gh.tar.gz 8749841 BLAKE2B 9c4db1adbfd9ea796db10855f98b972104415e66d5d01800e139d9475ceaedb850867a47d8af8e538856bcf21f805d6f24146a8407968e96c0084f81ce5e323d SHA512 459c20cdb8da523020483212cc48fdf0830915ce6cbd48511ccb02e3a1a5c4c8e1ce9bafb09e1288ec7f89d9dc8da36cd7fe75da1441cb3e5b31521720fd0708
diff --git a/dev-python/dask/dask-2022.7.1.ebuild b/dev-python/dask/dask-2022.7.1.ebuild
new file mode 100644
index 000000000000..1189a0f7728b
--- /dev/null
+++ b/dev-python/dask/dask-2022.7.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="
+ https://www.dask.org/
+ https://github.com/dask/dask/
+ https://pypi.org/project/dask/
+"
+SRC_URI="
+ https://github.com/dask/dask/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.1[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-0.3.10[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.8.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # another test relying on -Werror
+ "dask/array/tests/test_overlap.py::test_map_overlap_no_depth[None]"
+ # TODO
+ dask/array/tests/test_reductions.py::test_mean_func_does_not_warn
+ dask/tests/test_config.py::test__get_paths
+)
+
+python_test() {
+ epytest -p no:flaky -m "not network"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 75f2658799a8..d7f602230ec4 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -2,4 +2,5 @@ DIST hypothesis-6.49.1.gh.tar.gz 9316607 BLAKE2B 936d6e6ae293c4648b3ced9eb0fa242
DIST hypothesis-6.52.1.gh.tar.gz 9321216 BLAKE2B a05c1778088455010c444be13e5c46976c0b77dde7ae168213303facebd75e4d1b3593a847d7a98d3225c1617621e06f50ffb3d154e736c933556c191a4faae6 SHA512 648db1475a63ff734668529e1b8780f0879bead7ce908d21a0069b2fa784a24a8b0b6d9468b00afd68a62bf4305661cafdf9a2b671fb7d67e39461d2375abc98
DIST hypothesis-6.52.2.gh.tar.gz 9321530 BLAKE2B d54b97bf15895b503d14629c61cd99d120f318d485c37d2d2e0c012f3a55c361a11caea6329d76baaa1e39635fcd24d0694b45edbf2d0976d29848501c1030f4 SHA512 ac912865374297a299aea0a1f9b56cd5ddd89b8659f81112e7993039ccfb726835730103c756067c6c7ae00833352cda8dd4d555e3c11741b527b8f9c9b83fd4
DIST hypothesis-6.52.3.gh.tar.gz 9321591 BLAKE2B 50415d463d2513b023b8a6ac87a2bb6dae433b823fd209ec1137a26184bb5550fb9606e006cffecbff09c523fb244b9f8c119e1c9dc765b925f8aa6b0dc43bed SHA512 f8aae5976cc2bd47e157310434d2717caea5e639daf1d794fa6c45332fe44fc5873904451f1fb0b53d56e64147428c4c87e130b4776fd3b14e2c2b961660231d
+DIST hypothesis-6.52.4.gh.tar.gz 9323011 BLAKE2B fece23da48d4849252a0fa48ae741506f49aa1f2b63f81afe3b71d18e0325a4e337bebde1a1707390d38bdf57e2ce1145985231f68557b36c58886d82774a7d9 SHA512 c51f29d52757d08652f83deda48825ca38c86e0bc67743c2cff9c85f52d726671f07d0249dfdc761b2ba8250d40beacdf5e037e8629f24df5baeddd297f38030
DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
diff --git a/dev-python/hypothesis/hypothesis-6.52.4.ebuild b/dev-python/hypothesis/hypothesis-6.52.4.ebuild
new file mode 100644
index 000000000000..5b926953a2fd
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.52.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/importlib_resources/Manifest b/dev-python/importlib_resources/Manifest
index f246fdc28dc7..4926f4108ece 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -1,2 +1,3 @@
DIST importlib_resources-5.7.1.tar.gz 31272 BLAKE2B 3e30117ae4f18a9f2151b5435428f3853664ce291d2d4ce9490d1a3043ca5ce2e80cf04d7dcef71ebdaba8bbad17ee61bb47303637a8bee73a2263853b65293b SHA512 8fd89dfcea4112d26418bcfa522de36c2136a50d07470ac8de18f62bb7bb964a459534554802b1455996ae65796018bea806a592746c1d2717f1313608cf4918
DIST importlib_resources-5.8.0.tar.gz 31461 BLAKE2B ce6668520297cd7e06b944146277065cd1a0f5ae3f9e3bce24005f0f4a1181a41fa7f91f6b9ee9c0ef4caf7ca65c8efff748957c5c1a45c56778b30568970b36 SHA512 5c20a46a1832c7aaddfaa561a3986ea02dae59b94c06861757b6e5912f36624d564c65e184612af6e5930927a3172dc132ceb9846b0585de851d019c68cc8955
+DIST importlib_resources-5.9.0.gh.tar.gz 32691 BLAKE2B bc922945d0577222e704ac3a5aa24cd6abb31c9b44f42c342e78f45fb035ee2b3843c437eba31bc8a73f609f6126390f4141c52b9eef15ff8bc7efc44233e81b SHA512 9054b633f3c9b3523ccfa2be93774d0aa4b0c2ab8bfb228f1e0bfbbc076362b416c9714409ff365aa5eae579554feedc8f2aeaa49c766db37ab669414eb22827
diff --git a/dev-python/importlib_resources/importlib_resources-5.9.0.ebuild b/dev-python/importlib_resources/importlib_resources-5.9.0.ebuild
new file mode 100644
index 000000000000..79512d979dc5
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-5.9.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+# This is a backport of Python 3.9's importlib.resources
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="
+ https://github.com/python/importlib_resources/
+ https://pypi.org/project/importlib-resources/
+"
+SRC_URI="
+ https://github.com/python/importlib_resources/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/zipp-3.7.0-r1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+
+distutils_enable_tests unittest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "importlib_resources"
+ version = "${PV}"
+ description = "Read resources from Python packages"
+ EOF
+}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index 4132c262b12f..da224792d4c0 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,2 +1,3 @@
DIST trove-classifiers-2022.6.23.gh.tar.gz 14950 BLAKE2B 7203b8edb6f8a8886371a60f3c273b02b7fe045230a3a0c89a7282a896e513535a47fe06834fd6e33b98c480695b69be524dea1402f463f3c82fc80ddf8ac320 SHA512 c2c186b5d13f626a43f29a1eff6ebf2f17f8240af554f27ffdf05b506d428dd59582e7357a85b62f94714e024ae98ea216487726526639371c24c6b46b96df4e
DIST trove-classifiers-2022.6.26.gh.tar.gz 14966 BLAKE2B 360a8a01d710456a7edf2f56ce5ca4645e0f5e79db09087a888556e6555a15fd6f6b0aa3112bf0f6c2652759fce93e76357775ca57e53615dd99c4f1b929303d SHA512 1857d53e7731ada3ca811222bab2d0734da0e18fdf36dcada166bd15b1f397cf8575963d8432eb2d0de571646da6b0b18299af3bb7e44fb225586aa76f6de35f
+DIST trove-classifiers-2022.7.22.gh.tar.gz 14999 BLAKE2B ba6647b8ccb0a8a791d91c48094f3a748866c7f80f92b28903bd09084b7a216b2ba824657ba5f8ef8988edf242140c0b449804f58d3c1522e857670a1f01d455 SHA512 7d60a18a7ee11e21021f5ccc131e9ca28769083776898d931dd92131ea7edecd7ecad17a7a9d6d2d11e19ab8ff6a6fc2373ff9938fc26567e0f7c4a0e903d3c1
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild
new file mode 100644
index 000000000000..09926e2de780
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+ https://github.com/pypa/trove-classifiers/
+ https://pypi.org/project/trove-classifiers/
+"
+SRC_URI="
+ https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ dev-python/calver[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest
+ "${EPYTHON}" -m tests.lib || die
+}
diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 3ddd370e3a88..83ffaa877fbd 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1 +1,2 @@
DIST xarray-2022.3.0.tar.gz 2943007 BLAKE2B 4c323573835c00275b9c293157c78e42d14f2736c07dc06c61643052992b9c75d624cdf9a93487094fbffd9577662388807b661d388032add3b2e2ca3a63b812 SHA512 c088b985a852c57dcef14d8a5107987c0c33f17bde1d9d639d30ac826d906639ce0ee4fe8345c65a5479b944057af045fe50c2d2ea932356aceb0718f55cd24a
+DIST xarray-2022.6.0.tar.gz 3013166 BLAKE2B 4f2c17595ec904508e5f9c1d6ffead45be527b7f2ab73383126d57c7894712e924b605a86f890b0fec4ff45d1a263ce27fa324febf83f703ad36079e68f69663 SHA512 415bd84246d6d2b8aebf316ac9ef82ca7afeacce718349b75479c0aa693e2866dfe236e6dcaf41cae68afd7a99408f5027c938e6b7f447f5323e076b804f5165
diff --git a/dev-python/xarray/xarray-2022.6.0.ebuild b/dev-python/xarray/xarray-2022.6.0.ebuild
new file mode 100644
index 000000000000..6736033c2e32
--- /dev/null
+++ b/dev-python/xarray/xarray-2022.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="https://xarray.pydata.org/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/numpy-1.19[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+# note: most of the test dependencies are optional
+BDEPEND="
+ test? (
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ !hppa? ( >=dev-python/scipy-1.4[${PYTHON_USEDEP}] )
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # warning-targeted tests are fragile and not important to end users
+ xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+)